Subject: Re: linux-next: manual merge of the drm-misc tree with the drm-misc-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 23 Apr 2020 13:17:27 +1000

Hi all,

On Tue, 21 Apr 2020 09:10:25 +0300 Tomi Valkeinen <[email-masked]> wrote:
>
> On 21/04/2020 04:52, Stephen Rothwell wrote:
> > 
> > Today's linux-next merge of the drm-misc tree got a conflict in:he drm-misc tree with the drm-misc-fixes tree
> > 
> >    drivers/gpu/drm/tidss/tidss_encoder.c
> > 
> > between commit:
> > 
> >    9da67433f64e ("drm/tidss: fix crash related to accessing freed memory")
> > 
> > from the drm-misc-fixes tree and commit:
> > 
> >    b28ad7deb2f2 ("drm/tidss: Use simple encoder")
> > 
> > from the drm-misc tree.
> > 
> > I fixed it up (I just used the latter version of this file) and can  
> 
> We need to use "drm/tidss: fix crash related to accessing freed memory" version.
> 
> > carry the fix as necessary. This is now fixed as far as linux-next is
> > concerned, but any non trivial conflicts should be mentioned to your
> > upstream maintainer when your tree is submitted for merging.  You may
> > also want to consider cooperating with the maintainer of the conflicting
> > tree to minimise any particularly complex conflicts.  
> 
> I have fixed this with drm-misc's dim tool, so I presume the conflict goes away when drm-misc-fixes 
> is merged to drm-fixes, and drm-fixes is then at some point merged to drm-misc-next.
> 
> It was a bit bad timing with the "drm/tidss: Use simple encoder", which removes the plumbing I 
> needed to implement the fix. So I effectively revert the "drm/tidss: Use simple encoder".
> 
>   Tomi
> 

This is now a conflict between the drm and drm-misc-fixes trees.

-- 
Cheers,
Stephen Rothwell